%if 0%{?mgaversion} >= 6
%global qt5_ver 5.6
%global qt5_ver_minor 1
%else
%global qt5_ver 5.5
%global qt5_ver_minor 1
%endif
%global qt5_version %{qt5_ver}.%{qt5_ver_minor}

# common/qgtk3dialoghelpers.cpp:146: undefined reference to `XSetTransientForHint'
%define _disable_ld_no_undefined 1

Name:           qgnomeplatform
Version:        0.7.0
Group:          Graphical desktop/KDE
Release:        %mkrel 3
Summary:        Qt Platform Theme aimed to accommodate Gnome settings

License:        LGPLv2+
URL:            https://github.com/MartinBriza/QGnomePlatform
Source0:        https://github.com/MartinBriza/QGnomePlatform/archive/%{version}/QGnomePlatform-%{version}.tar.gz
Patch0:         qgnomeplatform-0.7.0-linkage.patch

# Upstream patches
Patch1:         qgnomeplatform-qxdgdesktopfiledialog-fixes.patch

BuildRequires:  pkgconfig(adwaita-qt)
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(udev)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  pkgconfig(libinput)
BuildRequires:  pkgconfig(xrender)
BuildRequires:  pkgconfig(Qt5Core) >= %{qt5_ver}
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5WaylandClient)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  qt5platformsupport-devel
BuildRequires:  qt5themesupport-devel
BuildRequires:  qt5servicesupport-devel
BuildRequires:  qt5xkbcommonsupport-devel

Requires:       gdm
Requires:       qtbase5-common >= %{qt5_version}
Requires:       adwaita-qt5
Requires:       qtwayland5

%description
QGnomePlatform is a Qt Platform Theme aimed to accommodate as much of
GNOME settings as possibleand utilize them in Qt applications without
modifying them - making them fit into the environment as well as possible.


%prep
%autosetup -p1 -n QGnomePlatform-%{version}


%build
%qmake_qt5

%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc README.md
%license LICENSE
%{_qt5_plugindir}/platformthemes/libqgnomeplatform.so
%{_qt5_plugindir}/wayland-decoration-client/libqgnomeplatformdecoration.so


%changelog
* Tue Jan 05 2021 daviddavid <daviddavid> 0.7.0-3.mga8
+ Revision: 1668974
- QXdgDesktopFileDialog: backport upstream fixes

* Thu Dec 24 2020 daviddavid <daviddavid> 0.7.0-2.mga8
+ Revision: 1663347
- libcommon should be a static lib

* Tue Dec 22 2020 daviddavid <daviddavid> 0.7.0-1.mga8
+ Revision: 1662858
- new version: 0.7.0

* Thu Dec 17 2020 umeabot <umeabot> 0.6.1-3.mga8
+ Revision: 1659483
- Rebuild for new Qt5

* Sat Jul 25 2020 daviddavid <daviddavid> 0.6.1-2.mga8
+ Revision: 1608895
- add patch to fix build with Qt 5.15

* Tue May 19 2020 ovitters <ovitters> 0.6.1-1.mga8
+ Revision: 1586175
- new version 0.6.1

* Thu Feb 20 2020 umeabot <umeabot> 0.6.0-2.mga8
+ Revision: 1547376
- Mageia 8 Mass Rebuild

* Sat Feb 08 2020 daviddavid <daviddavid> 0.6.0-1.mga8
+ Revision: 1488068
- new version: 0.6.0

* Mon Apr 01 2019 umeabot <umeabot> 0.5-2.mga7
+ Revision: 1384198
- Qt5 Rebuild

* Tue Jan 01 2019 daviddavid <daviddavid> 0.5-1.mga7
+ Revision: 1348342
- new version: 0.5

* Fri Oct 05 2018 daviddavid <daviddavid> 0.3-2.mga7
+ Revision: 1317850
- Mageia 7 Mass Rebuild

* Thu May 03 2018 daviddavid <daviddavid> 0.3-1.mga7
+ Revision: 1225672
- new version: 0.3

* Mon Jul 04 2016 daviddavid <daviddavid> 0.1-2.mga6
+ Revision: 1038586
- fix version of Qt5 dependencies for 5.6.1

* Thu Mar 24 2016 tv <tv> 0.1-1.mga6
+ Revision: 994764
- imported package qgnomeplatform


* Thu Mar 24 2016 Thierry Vignaud <tv@mageia.org> 0.1-1.mga6
- import from FC
